### Class

# EDataServer SourceLocal

#### Description

    class EDataServer.SourceLocal : EDataServer.SourceExtension
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- ESourceExtension
- GObject

#### Instance methods

###### e_source_local_dup_custom_file

A thread safe variant to get a custom file being set on the `extension`. Free the returned `GFile`, if not `NULL`, with g_object_unref(), when no longer needed.

###### e_source_local_dup_email_address

Thread-safe variation of e_source_lcoal_get_email_address(). Use this function when accessing `extension` from multiple threads.

since: 3.40

###### e_source_local_get_custom_file

Get the custom file being set on the `extension`. The returned `GFile` is owned by the `extension`.

###### e_source_local_get_email_address

No description available.

since: 3.40

###### e_source_local_get_writable

Returns whether the backend should prefer to open the file in writable mode. The default is `TRUE`. The file can be still opened for read-only, for example when the access to the file is read-only.

since: 3.34

###### e_source_local_set_custom_file

Set, or unset, when using `NULL`, the custom file for the `extension`.

###### e_source_local_set_email_address

Sets the email address for `extension`.

since: 3.40

###### e_source_local_set_writable

Set whether the custom file should be opened in writable mode. The default is `TRUE`. The file can be still opened for read-only, for example when the access to the file is read-only.

since: 3.34

##### Methods inherited from ESourceExtension (4)

###### e_source_extension_get_source

Returns the `ESource` instance to which `extension` belongs.

deprecated: 3.8 since: 3.6

###### e_source_extension_property_lock

Acquires a property lock, thus no other thread can change properties of the `extension` until the lock is released.

since: 3.18

###### e_source_extension_property_unlock

Releases a property lock, previously acquired with e_source_extension_property_lock(), thus other threads can change properties of the `extension`.

since: 3.18

###### e_source_extension_ref_source

Returns the `ESource` instance to which the `extension` belongs.

since: 3.8

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### EDataServer.SourceLocal:custom-file

Custom iCalendar file.

###### EDataServer.SourceLocal:email-address

Email address associated with the calendar.

###### EDataServer.SourceLocal:writable

Whether the file can be opened in writable mode.

##### Properties inherited from ESourceExtension (1)

###### EDataServer.SourceExtension:source

The `ESource` being extended.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataServerSourceLocalClass {
      ESourceExtensionClass parent_class;

    }

No description available.

###### Class members

`parent_class: ESourceExtensionClass`

  No description available.